﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_ANNOUNCE')
 CREATE TABLE T_SOECADM_ANNOUNCE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FANNOUNCERTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FANNOUNCERID BIGINT DEFAULT 0 NOT NULL,
FOUTERANNOUNCER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FANNOUNCEDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_ANNOUNCE_L')
 CREATE TABLE T_SOECADM_ANNOUNCE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FOUTERANNOUNCER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_ANNOUNCEAUTH')
 CREATE TABLE T_SOECADM_ANNOUNCEAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_ANNOUNCEPOS')
 CREATE TABLE T_SOECADM_ANNOUNCEPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECI')
 CREATE TABLE T_SOECADM_DISCDECI (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FFINALDECISION VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECIAUTH')
 CREATE TABLE T_SOECADM_DISCDECIAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECIPOS')
 CREATE TABLE T_SOECADM_DISCDECIPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECIENTRY')
 CREATE TABLE T_SOECADM_DISCDECIENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEETTOPIC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMEETTIME DATETIME,
FMEETLOCATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDUENUM INT DEFAULT 0 NOT NULL,
FACTUALNUM INT DEFAULT 0 NOT NULL,
FAGREENUM INT DEFAULT 0 NOT NULL,
FDISAGREENUM INT DEFAULT 0 NOT NULL,
FDEFERREDNUM INT DEFAULT 0 NOT NULL,
FDECISION VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECIENTRY_L')
 CREATE TABLE T_SOECADM_DISCDECIENTRY_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FMEETTOPIC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMEETLOCATION NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISCATTACH')
 CREATE TABLE T_SOECADM_DISCATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISCPROPOS')
 CREATE TABLE T_SOECADM_DISCPROPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNACOMPANYID BIGINT DEFAULT 0 NOT NULL,
FNAORGID BIGINT DEFAULT 0 NOT NULL,
FNAPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FNASTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FNAJOBID BIGINT DEFAULT 0 NOT NULL,
FNAJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FNAJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FNAPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FISNAMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FNAAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FNAENTITYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_ATTACH')
 CREATE TABLE T_SOECADM_ATTACH (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTACHMENTKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAGEID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INTCONVO')
 CREATE TABLE T_SOECADM_INTCONVO (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FCONVODATE DATETIME,
FCONVOADDR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONVOSM NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INTCONVO_L')
 CREATE TABLE T_SOECADM_INTCONVO_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FCONVOADDR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONVOSM NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INTCONVOAUTH')
 CREATE TABLE T_SOECADM_INTCONVOAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INTCONVOPOS')
 CREATE TABLE T_SOECADM_INTCONVOPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_MOTION')
 CREATE TABLE T_SOECADM_MOTION (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FMEETINGDATE DATETIME,
FAGREEDATE DATETIME,
FMOTIONCONCLUSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FRECOMMEDSRCID BIGINT DEFAULT 0 NOT NULL,
FMEETINGTHEME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMOTIONOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRECOMMENDREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREFERENCE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_MOTION_L')
 CREATE TABLE T_SOECADM_MOTION_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FMEETINGTHEME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMOTIONOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRECOMMENDREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREFERENCE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONPAR')
 CREATE TABLE T_SOECADM_MOTIONPAR (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONAUTH')
 CREATE TABLE T_SOECADM_MOTIONAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONPOS')
 CREATE TABLE T_SOECADM_MOTIONPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_APPREM')
 CREATE TABLE T_SOECADM_APPREM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FAFFRECORDID BIGINT DEFAULT 0 NOT NULL,
FAFFACTIONID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST CHAR(1) DEFAULT ' ' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FAPPREMSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEFFECTDATE DATETIME,
FAPPREMTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCURLINKID BIGINT DEFAULT 0 NOT NULL,
FAFFRESULT VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FHRPERSONID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGENTID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPOUTID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_APPREMREG_L')
 CREATE TABLE T_SOECADM_APPREMREG_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FTERMINATIONEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_REMENTRY')
 CREATE TABLE T_SOECADM_REMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FRORGID BIGINT DEFAULT 0 NOT NULL,
FRPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FRSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FRJOBID BIGINT DEFAULT 0 NOT NULL,
FRPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FISRMAINPOST CHAR(1) DEFAULT ' ' NOT NULL,
FISREMJOB CHAR(1) DEFAULT ' ' NOT NULL,
FRAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FRAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FRACTEFFDATE DATETIME,
FRPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INCPOSENTRY')
 CREATE TABLE T_SOECADM_INCPOSENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FICOMPANYID BIGINT DEFAULT 0 NOT NULL,
FIORGID BIGINT DEFAULT 0 NOT NULL,
FIPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FISTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FIJOBID BIGINT DEFAULT 0 NOT NULL,
FIPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FISIMAINPOST CHAR(1) DEFAULT ' ' NOT NULL,
FIPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_CHAPOSENTRY')
 CREATE TABLE T_SOECADM_CHAPOSENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCCOMPANY BIGINT DEFAULT 0 NOT NULL,
FCORG BIGINT DEFAULT 0 NOT NULL,
FCPOSITION BIGINT DEFAULT 0 NOT NULL,
FCSTPOSITION BIGINT DEFAULT 0 NOT NULL,
FCJOB BIGINT DEFAULT 0 NOT NULL,
FCPOSTYPE BIGINT DEFAULT 0 NOT NULL,
FISCMAINPOST CHAR(1) DEFAULT ' ' NOT NULL,
FCPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_ARRAUTHENTRY')
 CREATE TABLE T_SOECADM_ARRAUTHENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_APPREMREG')
 CREATE TABLE T_SOECADM_APPREMREG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FAFFRECORDID BIGINT DEFAULT 0 NOT NULL,
FAFFACTIONID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FPORGID BIGINT DEFAULT 0 NOT NULL,
FPPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FPJOBID BIGINT DEFAULT 0 NOT NULL,
FPPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FTERMINATIONDATE DATETIME,
FTERMINATIONEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FJOBORGID BIGINT DEFAULT 0 NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPREMTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FISACRPERSONNEL CHAR(1) DEFAULT ' ' NOT NULL,
FMORGID BIGINT DEFAULT 0 NOT NULL,
FMJOB BIGINT DEFAULT 0 NOT NULL,
FMSTPOSITION BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMOVESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FHRPERSONID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FACTTRANDATE DATETIME,
FAPPREMSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPOUTID BIGINT DEFAULT 0 NOT NULL,
FASSNUMBERID BIGINT DEFAULT 0 NOT NULL,
FSOUACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FDPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMPOSITION BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_APPENTRY')
 CREATE TABLE T_SOECADM_APPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACOMPANYID BIGINT DEFAULT 0 NOT NULL,
FAORGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FASTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FAJOBID BIGINT DEFAULT 0 NOT NULL,
FAPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FISAMAINPOST CHAR(1) DEFAULT ' ' NOT NULL,
FAAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FAAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FAACTEFFDATE DATETIME,
FAJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FAJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INVLEADER')
 CREATE TABLE T_SOECADM_INVLEADER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INVSOLUTION')
 CREATE TABLE T_SOECADM_INVSOLUTION (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(1) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(1) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(1) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVLOCATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRELEASEPREVIEW VARCHAR(1) DEFAULT ' ' NOT NULL,
FINTVMETHODOPTION VARCHAR(250) DEFAULT ' ' NOT NULL,
FINVSTARTDATE DATETIME,
FINVENDDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INVSOLAUTH')
 CREATE TABLE T_SOECADM_INVSOLAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INVMEMBER')
 CREATE TABLE T_SOECADM_INVMEMBER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INVSOLPOS')
 CREATE TABLE T_SOECADM_INVSOLPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(1) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(1) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INVSOLUTION_L')
 CREATE TABLE T_SOECADM_INVSOLUTION_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FINVLOCATION NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INVRECAUTH')
 CREATE TABLE T_SOECADM_INVRECAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INVRECORD_L')
 CREATE TABLE T_SOECADM_INVRECORD_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FCADTEAMOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INVRECORD')
 CREATE TABLE T_SOECADM_INVRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FDEMPARNUM INT DEFAULT 0 NOT NULL,
FDEMEXCELLENT INT DEFAULT 0 NOT NULL,
FDEMCOMPETENT INT DEFAULT 0 NOT NULL,
FDEMBASCOM INT DEFAULT 0 NOT NULL,
FDEMINCOM INT DEFAULT 0 NOT NULL,
FDEMABSTENTION INT DEFAULT 0 NOT NULL,
FINVPARNUM INT DEFAULT 0 NOT NULL,
FINVAGREE INT DEFAULT 0 NOT NULL,
FINVDISAGREE INT DEFAULT 0 NOT NULL,
FINVABSTENTION INT DEFAULT 0 NOT NULL,
FSOLPARNUM INT DEFAULT 0 NOT NULL,
FSOLAGREE INT DEFAULT 0 NOT NULL,
FSOLDISAGREE INT DEFAULT 0 NOT NULL,
FSOLABSTENTION INT DEFAULT 0 NOT NULL,
FCADPROMOTION VARCHAR(10) DEFAULT ' ' NOT NULL,
FCADTEAMOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRELEASEPREVIEW VARCHAR(10) DEFAULT ' ' NOT NULL,
FISNECESSARY VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INVRECPOS')
 CREATE TABLE T_SOECADM_INVRECPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISPBATCH')
 CREATE TABLE T_SOECADM_DISPBATCH (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FDISPBATCHNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPBATCHTITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDISPBATCHORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPBATCHDATE DATETIME,
FDISPBATTEMPLATE BIGINT DEFAULT 0 NOT NULL,
FDISPTXT VARCHAR(255) DEFAULT ' ' NOT NULL,
FDISPTXT_TAG NCLOB,
FPERSONNAMES NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDISPBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FOABILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FDISABLEREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSYSCOAREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTOPREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTMSGOA CHAR(1) DEFAULT '0' NOT NULL,
FOUTMSGEXAM CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISPATCHAPPREM')
 CREATE TABLE T_SOECADM_DISPATCHAPPREM (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FAPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPLANEFFECTDATE DATETIME,
FACTUALLYEFFECTDATE DATETIME,
FISMAINPOST CHAR(1) DEFAULT ' ' NOT NULL,
FPOSTYPE BIGINT DEFAULT 0 NOT NULL,
FDISP BIGINT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FISACRPERSONNEL CHAR(1) DEFAULT ' ' NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISPSUSPEND')
 CREATE TABLE T_SOECADM_DISPSUSPEND (
FID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN CHAR(1) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FWAITDISPID BIGINT DEFAULT 0 NOT NULL,
FAPPREMVERIFYID BIGINT DEFAULT 0 NOT NULL,
FDISPBATCHID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST CHAR(1) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DISPBATCH_L')
 CREATE TABLE T_SOECADM_DISPBATCH_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDISPBATCHNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPBATCHTITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDISPBATCHORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNAMES NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDISABLEREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSYSCOAREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTOPREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_WAITDISP')
 CREATE TABLE T_SOECADM_WAITDISP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE CHAR(1) DEFAULT ' ' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPE BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN CHAR(1) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FENDTIME DATETIME,
FISMAINPOST CHAR(1) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUP BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FDISPBATCHID BIGINT DEFAULT 0 NOT NULL,
FDISPBATCHNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FISACRPERSONNEL CHAR(1) DEFAULT ' ' NOT NULL,
FPLANEFFECTDATE DATETIME,
FACTUALLYEFFECTDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DEMREC')
 CREATE TABLE T_SOECADM_DEMREC (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FMEETINGLOCATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMEETINGPERNUM INT DEFAULT 0 NOT NULL,
FMEETINGRECNUM INT DEFAULT 0 NOT NULL,
FTALKPERNUM INT DEFAULT 0 NOT NULL,
FTALKRECNUM INT DEFAULT 0 NOT NULL,
FMEETINGTHEME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTALKRECPER DECIMAL(10,3) DEFAULT 0 NOT NULL,
FMEETINGRECPER DECIMAL(10,3) DEFAULT 0 NOT NULL,
FMEETINGDATE DATETIME,
FCONCLUSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEMRECTYPEMEET CHAR(1) DEFAULT '0' NOT NULL,
FDEMRECTYPETALK CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DEMREC_L')
 CREATE TABLE T_SOECADM_DEMREC_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FMEETINGLOCATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMEETINGTHEME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DEMRECAUTH')
 CREATE TABLE T_SOECADM_DEMRECAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_DEMRECPOS')
 CREATE TABLE T_SOECADM_DEMRECPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PERAFFAIRSINFO')
 CREATE TABLE T_SOECADM_PERAFFAIRSINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(2) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FAFFBILLID BIGINT DEFAULT 0 NOT NULL,
FOPERATETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FAFFSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FAFFACTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAFFBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPREMBILLID BIGINT DEFAULT 0 NOT NULL,
FAPPBILLID BIGINT DEFAULT 0 NOT NULL,
FREMBILLID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PERAFFAIRSINFO_L')
 CREATE TABLE T_SOECADM_PERAFFAIRSINFO_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_APPREMAFFAIRS')
 CREATE TABLE T_SOECADM_APPREMAFFAIRS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FACOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FAPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FAJOBID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FASTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FAPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FISAMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FAJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FAJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTID BIGINT DEFAULT 0 NOT NULL,
FAEFFECTDATE DATETIME,
FAFFRESULT VARCHAR(10) DEFAULT ' ' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FHRPERSONID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPOUTID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAFFACTIONID BIGINT DEFAULT 0 NOT NULL,
FAENTRYID BIGINT DEFAULT 0 NOT NULL,
FRCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FRDEPARTMENT BIGINT DEFAULT 0 NOT NULL,
FRPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FRJOB BIGINT DEFAULT 0 NOT NULL,
FRPOSITION BIGINT DEFAULT 0 NOT NULL,
FRSTPOSITION BIGINT DEFAULT 0 NOT NULL,
FRPOSTYPE BIGINT DEFAULT 0 NOT NULL,
FISRMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FRJOBLEVEL BIGINT DEFAULT 0 NOT NULL,
FRJOBGRADE BIGINT DEFAULT 0 NOT NULL,
FRENTRYID BIGINT DEFAULT 0 NOT NULL,
FRPPOINTID BIGINT DEFAULT 0 NOT NULL,
FREFFECTDATE DATETIME,
FSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FERMANFILEID BIGINT DEFAULT 0 NOT NULL,
FADISPBATCHNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FRDISPBATCHNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILETYPEID BIGINT DEFAULT 0 NOT NULL,
FAAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FRAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FAAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FRAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAPPREMSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_ARCVER')
 CREATE TABLE T_SOECADM_ARCVER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW VARCHAR(1) DEFAULT ' ' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT VARCHAR(1) DEFAULT ' ' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FSOLIDATE DATETIME,
FVERDATE DATETIME,
FCONOBS VARCHAR(10) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_ARCVER_VER')
 CREATE TABLE T_SOECADM_ARCVER_VER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_COMVER')
 CREATE TABLE T_SOECADM_COMVER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW VARCHAR(1) DEFAULT ' ' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT VARCHAR(1) DEFAULT ' ' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FSOLIDATE DATETIME,
FVERDATE DATETIME,
FCONOBS VARCHAR(10) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_COMVER_VER')
 CREATE TABLE T_SOECADM_COMVER_VER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_REPVER')
 CREATE TABLE T_SOECADM_REPVER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW VARCHAR(1) DEFAULT ' ' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT VARCHAR(1) DEFAULT ' ' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FSOLIDATE DATETIME,
FVERDATE DATETIME,
FCONOBS VARCHAR(10) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_REPVER_VER')
 CREATE TABLE T_SOECADM_REPVER_VER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_ARCVER_L')
 CREATE TABLE T_SOECADM_ARCVER_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_COMVER_L')
 CREATE TABLE T_SOECADM_COMVER_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_REPVER_L')
 CREATE TABLE T_SOECADM_REPVER_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SOLVER')
 CREATE TABLE T_SOECADM_SOLVER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW VARCHAR(1) DEFAULT ' ' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT VARCHAR(1) DEFAULT ' ' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FSOLIDATE DATETIME,
FVERDATE DATETIME,
FCONOBS VARCHAR(10) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SOLVER_L')
 CREATE TABLE T_SOECADM_SOLVER_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SOLVER_VER')
 CREATE TABLE T_SOECADM_SOLVER_VER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SUBCHECK')
 CREATE TABLE T_SOECADM_SUBCHECK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW VARCHAR(1) DEFAULT ' ' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT VARCHAR(1) DEFAULT ' ' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSLA INT DEFAULT 0 NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SUBCHECKAUTH')
 CREATE TABLE T_SOECADM_SUBCHECKAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SUBCHECKPOS')
 CREATE TABLE T_SOECADM_SUBCHECKPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_CONVO')
 CREATE TABLE T_SOECADM_CONVO (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FCONVODATE DATETIME,
FCONVOADDR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONVOSM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_CONVO_L')
 CREATE TABLE T_SOECADM_CONVO_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FCONVOADDR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONVOSM NVARCHAR(255) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'ATTACHMENT')
 CREATE TABLE ATTACHMENT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_CONVOAUTH')
 CREATE TABLE T_SOECADM_CONVOAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_CONVOPOS')
 CREATE TABLE T_SOECADM_CONVOPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBAT')
 CREATE TABLE T_SOECADM_PUBBAT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPUBTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBSTARTDATE DATETIME,
FPUBENDDATE DATETIME,
FPUBMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBSCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBTMPLID BIGINT DEFAULT 0 NOT NULL,
FISCFMPUB CHAR(1) DEFAULT '0' NOT NULL,
FPUSHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FPUBCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FPUBCONTENT_TAG NCLOB,
FPUBINSCORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBAT_L')
 CREATE TABLE T_SOECADM_PUBBAT_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FPUBTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBSCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBINSCORG NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBATPER')
 CREATE TABLE T_SOECADM_PUBBATPER (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPUBPERID BIGINT DEFAULT 0 NOT NULL,
FPUBPERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FISRECFB CHAR(1) DEFAULT '0' NOT NULL,
FISINITINVEST CHAR(1) DEFAULT '0' NOT NULL,
FINVESTSIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNOTINVESTRSN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBRESULT VARCHAR(10) DEFAULT ' ' NOT NULL,
FPUBPERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPOSNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBATPER_L')
 CREATE TABLE T_SOECADM_PUBBATPER_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FINVESTSIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNOTINVESTRSN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBPERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBATREC')
 CREATE TABLE T_SOECADM_PUBBATREC (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECEIVER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECDEPT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBATREC_L')
 CREATE TABLE T_SOECADM_PUBBATREC_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FRECEIVER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECDEPT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBATAUTH')
 CREATE TABLE T_SOECADM_PUBBATAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PUBPER')
CREATE TABLE T_SOECADM_PUBPER (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                  FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                  FAUDITDATE DATETIME,
                                  FORGID BIGINT DEFAULT 0 NOT NULL,
                                  FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                  FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                  FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FEVENTEFFECTDATE DATETIME,
                                  FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
                                  FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                  FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
                                  FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
                                  FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
                                  FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
                                  FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FENDTIME DATETIME,
                                  FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                  FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                  FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
                                  FPUBRESULT VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FPUBBATID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFYTIME DATETIME,
                                  FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PUBPERAUTH')
CREATE TABLE T_SOECADM_PUBPERAUTH (
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT DEFAULT 0 NOT NULL,
                                      FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PUBPERPOS')
CREATE TABLE T_SOECADM_PUBPERPOS (
                                     FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                     FSEQ INT DEFAULT 0 NOT NULL,
                                     FAPPREMID BIGINT DEFAULT 0 NOT NULL,
                                     FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
                                     FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
                                     FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
                                     FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                     FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                     FJOBID BIGINT DEFAULT 0 NOT NULL,
                                     FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                     FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                     FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
                                     FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
                                     FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
                                     FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL
);

/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_table.sql **/
